
#include "base/loggers.h"

using namespace bdm;

//These lines are needed for use of cout and endl
using std::cout;
using std::endl;

int main()
{
	int i;
	
	RV th = RV ( "{a b }");
	RV r = RV ( "{r }","2");

	dirfilelog L("exp/dirfile",10);
	
	int rid;
	int thid;
	
	rid=L.add(r,"");
	thid=L.add(th,"th");
	
	L.init();

	for (i=0; i<150; i++){	
		L.logit(rid,vec_2((double)i,(double)(i+1)));
		L.logit(thid,vec_2((double)(100-i),(double)(i-50)));
		L.step();
	}
	L.finalize();
}
